Skip to content
Pages in Reference

Volume Backups

Reference Updated View as Markdown
Method Path What it does Permission Sudo Approval
GET /api/volume-backups List Backups backups.read
POST /api/volume-backups Create Backup backups.run
GET /api/volume-backups/policies List Policies backups.read
GET /api/volume-backups/policies/{domain} Get Policy backups.read
PUT /api/volume-backups/policies/{domain} Set Policy backups.manage yes
DELETE /api/volume-backups/policies/{domain} Remove Policy backups.manage yes
POST /api/volume-backups/policies/{domain}/run Run Policy backups.run
GET /api/volume-backups/remote/{domain} Remote Backups backups.read
POST /api/volume-backups/restore-remote Restore Remote backups.manage yes
GET /api/volume-backups/targets/{domain} List Targets backups.read
GET /api/volume-backups/{backup_id} Get Backup backups.read
DELETE /api/volume-backups/{backup_id} Delete Backup backups.manage yes
POST /api/volume-backups/{backup_id}/push Push Backup backups.manage
POST /api/volume-backups/{backup_id}/restore Restore Backup backups.manage yes
POST /api/volume-backups/{backup_id}/verify Verify Backup backups.run

Something on this page is wrong or unclear? Report it on GitHub.

Help, contributing and the project’s policies are under Project.

Search the documentation

Type to search every page.

↑ ↓ to move, Enter to open, Esc to close